Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class MockHttpSession

    java.lang.Object
      org.springframework.mock.web.MockHttpSession

All Implemented Interfaces:
  javax.servlet.http.HttpSession

    public class MockHttpSession

extends java.lang.Object
implements javax.servlet.http.HttpSession

Mock implementation of the `HttpSession` interface.

Compatible with Servlet 2.5 as well as Servlet 3.0.

Since:
  1.0.2
Author:
  Juergen Hoeller, Rod Johnson, Mark Fisher

Constructor Summary
`MockHttpSession()` Create a new MockHttpSession with a default `MockServletContext`.
`MockHttpSession(javax.servlet.ServletContext servletContext)` Create a new MockHttpSession.
`MockHttpSession(javax.servlet.ServletContext servletContext, java.lang.String id)` Create a new MockHttpSession.

Method Summary
`void` | `access()`
`void` | `clearAttributes()` Clear all of this session's attributes.
`void` | `deserializeState(java.io.Serializable state)` Deserialize the attributes of this session from a state object created by `serializeState()`.
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration<java.lang.String>` | `getAttributeNames()`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSessionContext` | `getSessionContext()`
`java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.String[]` | `getValueNames()`
`void` | `invalidate()`
`boolean` | `isInvalid()`
`boolean` | `isNew()`
`void` | `putValue(java.lang.String name, java.lang.Object value)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeValue(java.lang.String name)`
`java.io.Serializable` | `serializeState()` Serialize the attributes of this session into an object that can be turned into a byte array with standard Java serialization.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setMaxInactiveInterval(int interval)`
`void` | `setNew(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockHttpSession

    public MockHttpSession()

  Create a new MockHttpSession with a default `MockServletContext`.

  See Also:
    `MockServletContext`

### MockHttpSession

    public MockHttpSession(javax.servlet.ServletContext servletContext)

  Create a new MockHttpSession.

  Parameters:
    `servletContext` - the ServletContext that the session runs in

### MockHttpSession

    public MockHttpSession(javax.servlet.ServletContext servletContext,
                           java.lang.String id)

  Create a new MockHttpSession.

  Parameters:
    `servletContext` - the ServletContext that the session runs in
    `id` - a unique identifier for this session

Method Detail

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `javax.servlet.http.HttpSession`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `javax.servlet.http.HttpSession`

### access

    public void access()

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.http.HttpSession`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

  Specified by:
    `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getSessionContext

    public javax.servlet.http.HttpSessionContext getSessionContext()

  Specified by:
    `getSessionContext` in interface `javax.servlet.http.HttpSession`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.servlet.http.HttpSession`

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `javax.servlet.http.HttpSession`

### getAttributeNames

    public java.util.Enumeration<java.lang.String> getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.http.HttpSession`

### getValueNames

    public java.lang.String[] getValueNames()

  Specified by:
    `getValueNames` in interface `javax.servlet.http.HttpSession`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.http.HttpSession`

### putValue

    public void putValue(java.lang.String name,
                         java.lang.Object value)

  Specified by:
    `putValue` in interface `javax.servlet.http.HttpSession`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.http.HttpSession`

### removeValue

    public void removeValue(java.lang.String name)

  Specified by:
    `removeValue` in interface `javax.servlet.http.HttpSession`

### clearAttributes

    public void clearAttributes()

  Clear all of this session's attributes.

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `javax.servlet.http.HttpSession`

### isInvalid

    public boolean isInvalid()

### setNew

    public void setNew(boolean value)

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `javax.servlet.http.HttpSession`

### serializeState

    public java.io.Serializable serializeState()

  Serialize the attributes of this session into an object that can be turned into a byte array with standard Java serialization.

  Returns:
    a representation of this session's serialized state

### deserializeState

    public void deserializeState(java.io.Serializable state)

  Deserialize the attributes of this session from a state object created by `serializeState()`.

  Parameters:
    `state` - a representation of this session's serialized state

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD